# MixedNUTS: Training-Free Accuracy-Robustness Balance via Nonlinearly Mixed Classifiers

Balance clean data classification accuracy and adversarial robustness without additional training 
via a mixed classifier with nonlinear base model logit transformations.

## Model Checkpoints

All robust base classifiers are available on RobustBench.

The ImageNet accurate base classifier is from 
the [ConvNeXt V2](https://github.com/facebookresearch/ConvNeXt-V2) repository and can be downloaded
[here](https://dl.fbaipublicfiles.com/convnext/convnextv2/im22k/convnextv2_large_22k_224_ema.pt).

The CIFAR-10 and -100 accurate base classifiers are fine-tuned from 
[BiT](https://github.com/google-research/big_transfer) checkpoints and will be released soon.

## Environment

Run the following to install the environment:
```
conda env create -f environment.yml
```

There are two additional pip packages that are not present in pypi and need to be manually installed via the following:

```
conda activate nlmc
pip install git+https://github.com/fra31/auto-attack
pip install git+https://github.com/RobustBench/robustbench.git
```
